[![github-issues](https://img.shields.io/github/issues/shollingsworth/v0tools?style=plastic "github-issues")](https://github.com/shollingsworth/v0tools/issues) [![github-languages-code-size](https://img.shields.io/github/languages/code-size/shollingsworth/v0tools?style=plastic "github-languages-code-size")](https://github.com/shollingsworth/v0tools) [![github-stars](https://img.shields.io/github/stars/shollingsworth/v0tools?style=plastic "github-stars")](https://github.com/shollingsworth/v0tools/stargazers) [![github-forks](https://img.shields.io/github/forks/shollingsworth/v0tools?style=plastic "github-forks")](https://github.com/shollingsworth/v0tools/network/members) 

[![pypi-v](https://img.shields.io/pypi/v/v0tools?style=plastic "pypi-v")](https://pypi.org/project/v0tools) [![pypi-status](https://img.shields.io/pypi/status/v0tools?style=plastic "pypi-status")](https://pypi.org/project/v0tools) [![pypi-l](https://img.shields.io/pypi/l/v0tools?style=plastic "pypi-l")](https://pypi.org/project/v0tools) [![pypi-dm](https://img.shields.io/pypi/dm/v0tools?style=plastic "pypi-dm")](https://pypi.org/project/v0tools) [![pypi-pyversions](https://img.shields.io/pypi/pyversions/v0tools?style=plastic "pypi-pyversions")](https://pypi.org/project/v0tools) [![pypi-implementation](https://img.shields.io/pypi/implementation/v0tools?style=plastic "pypi-implementation")](https://pypi.org/project/v0tools) 

**This package is for those participating in hacking CTFs and want some tools to help with some of the more tedious tasks.**

**Enjoy!**

**Pull requests welcome. :)**



Full documentation can be found at [https://v0tools.stev0.me](https://v0tools.stev0.me)

### Commands

* *[linrshell.py](https://v0tools.stev0.me/commands/linrshell/)*
    * Linux Reverse Shell stager.

* *[winrshell.py](https://v0tools.stev0.me/commands/winrshell/)*
    * Windows Reverse Shell stager.

* *[v0_bash_complete_msfvenom.py](https://v0tools.stev0.me/commands/v0_bash_complete_msfvenom/)*
    * Sourceable Autocomplete for msfvenom flags.

* *[v0serv.py](https://v0tools.stev0.me/commands/v0serv/)*
    * HTTP Serve a directory, or serve a single isolated file.

* *[v0upload.py](https://v0tools.stev0.me/commands/v0upload/)*
    * HTTP server that accepts PUT requests from remotes.

* *[cmd-not-found.py](https://v0tools.stev0.me/commands/cmd-not-found/)*
    * Print how to install packages on different operating systems

* *[cmdrec.py](https://v0tools.stev0.me/commands/cmdrec/)*
    * Terminal Recorder using ffmpeg and KDE Console.

* *[dnsrebind.py](https://v0tools.stev0.me/commands/dnsrebind/)*
    * dns rebinding fqdn.

* *[ip_urls.py](https://v0tools.stev0.me/commands/ip_urls/)*
    * Generate a list of obfuscated ip variations and print to stdout.

* *[php_search_vuln.py](https://v0tools.stev0.me/commands/php_search_vuln/)*
    * Search for vulnerable calls / strings in php code.

* *[unicodes.py](https://v0tools.stev0.me/commands/unicodes/)*
    * print unicode values and associated information to stdout.


## Installation / Quickstart

> **Install Prerequisites based on your [operating system](https://v0tools.stev0.me/sys_prerequisites/)**

> **Install the [pypi package](https://pypi.org/project/v0tools/) via `pip3` by running the following**

```bash
pip3 install v0tools
```

## Api

> **API Documentation can be found [here](https://v0tools.stev0.me/api)**

### License
See: [LICENSE](./LICENSE)

